#Database

##User / Account Management

###logins
* *id*
* username
* password_salt
* password_hash
* password_reset_token

> Use BCrypt to generate to password_hash, the password_salt might not be required.

> Password reset token to be used when someone forgets their password, the email should be sent to them with the hashed token. 

###profile
* *id*
* uid * -> logins:id*
* forename
* surname
* gender
* dob
* bio
* member_of * -> company:id*

##Venue / Company

###company
* *id*
* company_name
* address1
* address2
* address3
* town
* county
* postcode
* country
* pcontact
* ocontact
* mobile
* email

###billing
* *id*
* cid * -> company:id*

###venue
* *id*
* cid * -> company:id*
* venue_name
* address1
* address2
* address3
* town
* county
* postcode
* country
* pcontact
* ocontact
* mobile
* email

