**Martin Donnelly**

**Personal Details**

**Name:** Martin Donnelly

**Email:** martind2000@gmail.com

**Mobile:** +44 (0)1389 504002

**Availability:** January 2016

Martin is a highly talented software developer who enjoys the challenges raised by the fast moving world of IT. He has worked on a number of time critical projects, delivering high quality software that required expertise in several different areas. Martin has the capability to grasp new technologies quickly and applies practical experience alongside new skills to provide thorough solutions at any stage of the project lifecycle, either as an individual or as a team leader. Over the course of the last ten years he has developed a number of large business systems that have successfully gone to market.

### Key Skills

Javascript development including OO, DOM manipulation, HTML5, CSS3, Canvas, MVC development, AJAX and custom libraries.

### Experience

 
   **SCRUM** Certified Scrum master 
   **JAVASCRIPT** 10+ years experience with Javascript, OO development & MVC based development
   **ASP** 10 Years experience in the creation of commercial websites.
   **AJAX** 8 years developing sites with heavy use of AJAX, includes JSON, Prototype and custom written JavaScript libraries.
   **SQL** 10+ Years experience in the creation of numerous commercial applications and websites utilising SQL-92, Transact SQL (T-SQL), Microsoft SQL Server 6, Microsoft SQL Server 7, Microsoft SQL Server 2000, MS SQL Server 2005 and MS SQL Server 2008. This also includes writing SQL queries and stored procedures, creating indexes as well as utilising Server Integration Services (SSIS) and SQL Server Reporting Services (SSRS) and clustering.
   **PHP** 3 years experience using PHP5, MYSQL and Apache.
   **MY.SQL** 6 years experience using My SQL 4.5, My SQL 5 with Delphi, VB.NET, ASP and IIS Server, Apache and PHP4, PHP5.
   **VB** 11+ Years experience in the development of various applications for Windows.
  **VB.NET** 2 Years experience in the development of a traceability system for Windows XP.
  **HTML** 12+ Years experience in the creation of commercial websites.
  **Delphi** 8 Years experience in the development of applications for Windows 2000 and XP.
  **Ab Initio** 12 months experience in the creation of Ab Initio applications.
  **IIS** 9 Years of experience using Internet Information Services (IIS) up to and including version 7.0 on Windows Server 2008.
  **Phonegap / Apache Cordova** 2+ years building Android and iPhone / iPad iOS HTML5 apps
  

###Software packages used include

  **Development**         Microsoft Visual Studio 2012, Visual Studio 2013
  **SQL**                 SQL Server 2005. SQL Server 2008, SQL Server 2012, My SQL 5, Postgres
  **Source Control**      Subversion, GIT, Mercurial, TFS
  **Project Lifecycle**   Microsoft Office Professional, Visio, MS Project**,** Jira, YouTrack
  **System**              Windows Server 2008, Windows Server 2012, Ubuntu, OPENSuse, Os X
  **Virtualisation**      VMWare vCenter, VMWare vSphere, VMWare Lab Manager. Microsoft Virtual Server 2005 R2, Microsoft Virtual server 2007, Microsoft Virtual PC 2007, Sun VirtualBox
  **Office Tools**        Microsoft Office tools including Word, Excel, Access, PowerPoint, Outlook and OneNote

### Previous Employment

**Freelance Developer, Censis, March 2016 **

**Freelance Developer, Impera Media, October 2015 – February 2016**

-   Ebook editing and production

**Freelance Developer, Metropolitan Police / Unisys, May 2015 -
September 2015**

-   Developing next generation of online mapping system (Openmap) used
    by Metropolitan Police Command and Control centres.

-   Using Javascript, JQuery, Knockout, and deployed onto Windows 8.1.

-   Utilising Open Street maps and managed using Scrum.

-   Utilising Javascript within a JavaFX frame work, which allowed us to
    run the Javascript as an application.

-   Used Ajax to request data from the server, which was then processed
    in the Javascript to be presented within the Open Layers map.

-   Knockout was used to display information and provide interaction
    that could not be displayed within the map.

-   Developed within a Windows environment.

**Freelance Developer, Capita SMS, November 2014 - May 2015**

-   Developing mobile and desktop applications.

-   Debugging issues within the Javascript code that were raised within
    Cucumber and Jenkins tests.

-   Applications created in Javascript using Ember, Ember-CLI and
    hybridised for Android.

-   Using Ember to display data retrieved from a remote server using
    Ajax and present complex forms and interaction to the user.

-   Developed within a Linux based environment.

**Freelance Developer, Metropolitan Police, October 2013 - October
2014**

-   Security cleared

-   Development of mobile HTML5 applications.

-   Applications created using Javascript, JQuery, Underscore, EJS, and
    Apache Cordova / PhoneGap for deployment to Android, iOS, and
    Windows Phone 8.

-   Use of Google Map API V3 and Open Street Map & Open Layers for
    mapping purposes.

-   Development managed under Scrum & Kanban agile methodologies.

-   Lead developer on the Metropolitan Police’s new public facing
    “Online Crime Report” system which allows members of the public to
    report various types of crime.

-   Wrote Java back end for the crime reporting system to replace an old
    PHP based server.

-   Working on In Vehicle Mobile Application to replace current In
    Vehicle system, using Angular, HTML5, Javascript. Using development
    tools such as Grunt, Bower, Jasmin, Karma, Node, NPM.

-   Prototyped an application using Node.js and MongoDB

-   Implementing the In Vehicle Mobile Application System on a portable
    Windows 8.1 device using .Net & C\# to wrap up the Javascript
    front end. Initially using Cordova, but subsequently using our
    own software.

-   Developed within an Mac OsX environment.

**Freelance Developer, Laing O'Rourke, July 2013 - October 2013**

-   Developed Agile visualisation tool in HTML to replace their current
    Flash application.

-   Prototyped in Node.js with a Postgres SQL back end.

-   Developed and completed in C\# using .NET 4.5, WEB.API, SQL Server,
    Javascript & EJS templating.

-   Developed within a Windows environment.

**Freelance Developer, The Open University, Oct 2011 - April 2013**

-   Joined the Post Personal Computing project developing Ebook versions
    of current learning material for the iPad.

-   Made extensive use of HTML5, CSS3, Javascript and Canvas to create
    animated, interactive versions of learning material in ePub 2.5,
    ePub 3 and iBooks format.

-   Re-implemented Flash and Windows applications as HTML5 applications.

-   Utilising PhoneGap / Apache Cordova, developed Android and iOS apps
    to view the HTML5 activities. Developed a custom “downloader” for
    the Android app which would pull the video and picture resources for
    the HTML5 application from a remote server and store them locally.

-   Helped to develop, maintain and expand the proprietary Javascript
    library which was the foundation of the development on
    mobile devices.

-   Joined the Wolfson project to develop online science learning
    resources utilising HTML5, Javascript and CSS3.

-   Reverse engineering scientific teaching material originally created
    in Adobe Flash and recreated them as portable HTML5 / Javascript
    versions using an Open University Javascript library.

-   Developed within an Mac OsX environment

**Freelance Developer, Diagnostic Monitoring Systems Limited, Oct 2009 -
Sep 2011**

-   Continuing development of a web based monitoring system for use
    within power stations, responsible for implementation
    of requirements. The application was created utilising Javascript,
    SQL Server and made heavy use of AJAX concepts with a Classic ASP
    back end for data retrieval.

-   SQL Server 2005, SQL Server 2008 Enterprise & SQL Server 2008
    Express development. Designing & writing queries and complex stored
    procedures, optimising stored procedures for speed, implementing
    indexes and statistics.

-   Architect, build and deploy a large VMWare based server farm
    utilising VMWare VSphere, VM Ware VCenter, VMWare Lab Manager and
    ESX 4.

-   Built a Windows Server 2008 Enterprise based multi-machine
    SQL Cluster. Built within VMWare Lab Manager utilizing Active
    Directory, Clustering Services, Clustered Virtual NAS and Clustered
    SQL Server.

-   Set up, deploy and maintain a Subversion version control system.

-   Re-architected the web system, converting it from a standard Classic
    ASP system to a MVC system. Build upon a C\# based Web Service
    backend feeding data to a custom Javascript MVC front end using SOAP
    and JSON. Replaced the VB.NET graphical chart rendering with a newer
    custom compact HTML 5 / Canvas / Javascript based system which
    requires less data to be transmitted.

-   Development of near realtime graphical displays for charts and
    graphs with 10000+ data points in Javascript.

-   Developed library for display and data manipulation.

-   Utilised the Scrum Agile development methodology*.*

-   Developed within a Windows environment.

**Freelance Developer, University of Glasgow, Dec 2008 - October 2009**

-   Developed modifications and enhancements to the Documentum based
    EDRMS system, heavy Javascript development and largely consisted of
    DOM, AJAX and JSON development.

-   Bug investigation and repair solution development within the JSP and
    Java source code of Documentum.

-   Developed, updated and maintained custom Javascript plugins
    for TinyMCE.

-   Implementation of a PHP based SMS solution to contact students via
    JANETtxt and PAGEone.

-   Developed within a Windows environment.

**Freelance Developer, Diagnostic Monitoring Systems Limited, Mar 2008 -
Nov 2008**

-   Development of a web based monitoring system for use within power
    stations, responsible for implementation of requirements. The
    application was created utilising ASP, SQL Server and AJAX.

-   Developed within a Windows environment.

**Technical Architect / Solutions Architect, Continuity², Apr 2006 - Mar
2008**

-   Managed a team of 3 developers for the design and development of a
    large AJAX based Business Continuity Management (BCM) system.
    Responsible, end to end, for implementation of requirements: From
    design and development, into UAT, release, marketing requirements
    and training.

-   Researched, developed and implemented a large scale mass calling
    system utilising SMS for instant emergency information delivery and
    ISDN / VOIP for voice based messages.

-   Designed, developed, implemented, maintained and supported the SQL
    Server installation utilised by the sites.

-   Application built on a software platform of Javascript, JSON, XML,
    ASP, SQL Server and PHP. Server platform was a mix of Windows Server
    2005 and Linux.

**Senior Software Consultant / Technical Architect, Content Systems Ltd
/ Trace All Limited, Feb 2002 - Mar 2006**

-   Continued development of a content management system.

-   Created a number of commercial sites utilising the content
    management system.

-   Developed an administration intranet site for a Scottish based
    building society.

-   Development of a search and administration intranet system for the
    largest private search firm in Scotland.

-   Continued development and support of traceability software for the
    fishing industry.

-   Development of a traceability product for a number of
    food manufacturers.

-   A varied mix of Classic ASP based & AJAX web development and Delphi
    & VB.Net application development using SQL Server and MYSQL as
    database back ends.

**Senior Software Developer, Upstream Systems Ltd, Jun 2000 - Feb 2002**

-   Created a website for a large UK based holiday company. This
    included working closely with the company owner to design the site,
    coding the dynamic front end, the flexible back end, the CRM system,
    the e-commerce elements and the holiday booking system.

-   Built upon an ASP, VB Script, Javascript and MS SQL platform.

**Development Consultant, Pygmalion, Jun 1999 - Jun 2000**

**Systems Support Engineer, Scottish Daily Express, Oct 1997 - Jun
1999**

**Software Engineer, Xara Limited, Aug 1996 - Oct 1997**

**Education**

**Post Graduate Degree in Multimedia technology, 1996, Glasgow
Caledonian University**

This course covered the technology behind multimedia, video / audio
production, software for developing multimedia applications, website
design, visual basic, producing multimedia applications using the
technology and Technology & copyright law.

**Advanced Diploma in Software Engineering, 1995, Stow College,
Glasgow**

Systems design, Object Oriented Programming, mathematics, Pascal
programming, C, UNIX, hardware technology and maintenance, quality
assurance, development lifecycle.

**HNC - HND Software Engineering, 1994, Stow College, Glasgow**
